<section *ngIf="stats">
  <div class="dark-caption-wrapper m16B" fxLayout="column" fxLayoutAlign="center center">
    <h3 class="cards-caption" fxLayoutAlign="start center">{{ 'COMPONENTS.STATS.HEADLINE' | translate }}</h3>
    <small class="text-gray">{{ 'COMPONENTS.STATS.SUBHEADLINE' | translate }}</small>
  </div>
  <div fxLayout="row" fxLayoutGap="8px">
    <mat-card fxFlex="33" fxLayout="column" fxLayoutGap="8px" fxLayoutAlign="center center">
      <h4>E5</h4>
      <div fxLayout="column" fxLayoutAlign="center center" fxLayoutGap="8px">
        <div class="price-mean"><span [innerHTML]="commonService.getLastCharSup(stats?.E5.mean)"></span></div>
        <small class="text-gray">{{ stats?.E5.count }} {{ 'COMPONENTS.STATS.ENTRIES' | translate }}</small>
      </div>
    </mat-card>
    <mat-card fxFlex="33" fxLayout="column" fxLayoutGap="8px" fxLayoutAlign="center center">
      <h4>E10</h4>
      <div fxLayout="column" fxLayoutAlign="center center" fxLayoutGap="8px">
        <div class="price-mean"><span [innerHTML]="commonService.getLastCharSup(stats?.E10.mean)"></span></div>
        <small class="text-gray">{{ stats?.E10.count }} {{ 'COMPONENTS.STATS.ENTRIES' | translate }}</small>
      </div>
    </mat-card>
    <mat-card fxFlex="33" fxLayout="column" fxLayoutGap="8px" fxLayoutAlign="center center">
      <h4>Diesel</h4>
      <div fxLayout="column" fxLayoutAlign="center center" fxLayoutGap="8px">
        <div class="price-mean"><span [innerHTML]="commonService.getLastCharSup(stats?.Diesel.mean)"></span></div>
        <small class="text-gray">{{ stats?.Diesel.count }} {{ 'COMPONENTS.STATS.ENTRIES' | translate }}</small>
      </div>
    </mat-card>
  </div>
</section>
